Skip to content
PATCH/comments/{commentId}

Update a comment

Update an existing comment

Parameters

NameInTypeDescription
commentIdrequiredpathstringComment ID

Request body

FieldTypeDescription
contentrequiredstringUpdated content

Response

Comment updated

FieldTypeDescription
idrequiredstringTypeID - a type-prefixed UUID
postIdrequiredstringTypeID - a type-prefixed UUID
parentIdrequiredstring | null
contentrequiredstring
authorNamerequiredstring | null
principalIdrequiredstring | null
isTeamMemberrequiredboolean
createdAtrequiredstringISO 8601 timestamp

Errors

400Validation error
401Unauthorized
404Comment not found

Example request

curl \
  -X PATCH \
  "https://feedback.quackback.io/api/v1/comments/:commentId" \
  -H "Authorization: Bearer qb_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
  "content": "example_content"
}'